package com.neusoft.smart.pos.inventory.constants;

import com.neusoft.smart.pos.framework.constants.CommonCode;

public enum InventoryErrorCode implements CommonCode {
    EMPTY_EXCEL("08000", "excel内容为空"),
    TOO_LONG_SUPPLIER_NAME("08001", "供应商名称不得超过50"),
    FILE_TYPE_ERROR("08002", "文件类型不正确"),
    DUPLICATE_SUPPLIER_NAME("08003", "供应商名称重复"),
    SUPPLIER_NOT_DELETE("08004", "供应商已关联库存，不能删除"),
    NO_INVENTORY_RECORD("08005", "没有库存记录，先入库"),
    SUPPLIER_NOT_EXIST("08006", "供应商不存在"),
    NUM_NO_ZERO("08007", "数量不能为0"),
    STORAGE_SHORTAGE("08008", "商品库存不足"),
    DEDUCTION_ERROR("08009", "扣减库存失败,错误信息:{}"),
    DUPLICATE_ORDER_ERROR("08010", "订单重复扣减库存"),
    UPDATE_ERROR("08011", "更新商品失败,请刷新后重试"),
    NO_LOCK_INFO_ERROR("08012", "该订单没有锁库存信息"),
    RETURN_ERROR("08013", "退货更新库存失败,请重试"),
    ;
    
    private String code;
    
    private String message;
    
    InventoryErrorCode(String code, String message) {
        this.code = code;
        this.message = message;
    }
    
    
    public String getCode() {
        return code;
    }
    
    public void setCode(String code) {
        this.code = code;
    }
    
    public String getMessage() {
        return message;
    }
    
    public void setMessage(String message) {
        this.message = message;
    }
}
